Index: /extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/da_DK/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/da_DK/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/da_DK/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/de_DE/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/el_GR/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/el_GR/iso.txt	(revision 21418)
+++ /extensions/netinstall/trunk/language/el_GR/iso.txt	(revision 21418)
@@ -0,0 +1,1 @@
+Ελληνικά [GR]
Index: /extensions/netinstall/trunk/language/el_GR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/el_GR/loader.lang.txt	(revision 21418)
+++ /extensions/netinstall/trunk/language/el_GR/loader.lang.txt	(revision 21418)
@@ -0,0 +1,63 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
+$lang['Welcome to NetInstall!'] = 'Καλώς ήρθατε στο NetInstall!';
+$lang['Language'] = 'Γλώσσα';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Ο σκοπός αυτού του εργαλείου είναι να ανακτήσει την τελευταία έκδοση Piwigo και να την αποσυμπιέσει το στην ιστοσελίδα σας.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Αμέσως μετά, θα σας ανακατευθύνει στον Οδηγό εγκατάστασης του Piwigo.';
+
+$lang['Write access is needed'] = 'Πρόσβαση με δικαιώματα εγγραφής είναι απαραίτητη';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Φαίνετε ότι το NetInstall δεν είναι σε θέση να γράψει στον τρέχοντα κατάλογο, και αυτό είναι απαραίτητο για να συνεχίσει.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Παρακαλούμε προσπαθήστε να αλλάξετε τα δικαιώματα για να επιτρέψει την πρόσβαση εγγραφής, στη συνέχεια ξαναφορτώστε τη σελίδα πατώντας το κουμπί Ανανέωση.';
+$lang['Refresh'] = 'Ανανέωση';
+
+$lang['PHP 5 is required'] = 'PHP 5 είναι απαραίτητο';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Φαίνεται ότι ο webhost σας εκτελεί PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Το NetInstall μπορεί να προσπαθήσει να αλλάξετε τις ρυθμίσεις σας σε PHP 5, με τη δημιουργία ή την τροποποίηση ενός αρχείου .htaccess.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Μπορείτε να αλλάξετε τις ρυθμίσεις σας μόνοι σας και να κάντε επανεκκίνηση του NetInstall μετά από αυτό.';
+$lang['Try to configure PHP 5'] = 'Προσπαθήστε να ρυθμίσετε το PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Ανάκτηστε και αποσυμπιέστε το Piwigo';
+$lang['Destination:'] = 'Προορισμός:';
+
+$lang['Sorry!'] = 'Λυπούμαστε!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'Το NetInstall δεν ήταν σε θέση να ρυθμίσει το PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Πρέπει να απευθυνθείτε στο τμήμα υποστήριξης του παρόχου σας και να δείτε πώς μπορείτε να μεταβείτε σε PHP 5 από μόνοι σας.";
+$lang['Hope to see you back soon.'] = 'Ελπίζουμε να σας δούμε ξανά σύντομα.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Φαίνεται ότι μια προηγούμενη εγκατάσταση Piwigo εξακολουθεί να είναι εγκατεστημένη σε αυτό το ιστοχώρο.';
+$lang['You need to rename or remove it before we can go further...'] = 'Θα πρέπει να το μετονομάσετε ή να το αφαιρέσετε για να μπορέσουμε να προχωρήσουμε περαιτέρω ...';
+$lang['Needed files are not present.'] = 'Τα προαπαιτούμενα αρχεία δεν υπάρχουν.';
+$lang['Invalid zip file.'] = 'Μη έγκυρο αρχείο zip.';
+$lang['It seems that the zip file was not extracted.'] = 'Φαίνεται ότι το αρχείο zip δεν μπορεί να αποσυμπιεστεί';
+
+$lang['Congratulations!'] = 'Συγχαρητήρια!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Όλα πήγαν καλά. Τώρα είστε έτοιμοι να ξεκινήσετε τη διαδικασία εγκατάστασης.';
+$lang['Install Piwigo now'] = 'Εγκαταστήστε το Piwigo τώρα';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Παρουσιάστηκε σφάλμα κατά την συλλογή των απαραίτητων αρχείων για να συνεχίσει.';
+$lang['Something went wrong...'] = 'Κάτι πήγε στραβά ...';
+$lang['What are you doing here that way ?!'] = 'Τι δουλειά έχεις εδώ με αυτό τον τρόπο?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Αυτό ο φορτωτής έχει αρχικά κωδικοποιθεί για το <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Ευχαριστούμε!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Χρειάζεστε βοήθεια; Ρωτήστε την ερώτησή σας σχετικά στον <a href=\"%s\">Πίνακα μηνυμάτων του Piwigo</a>.";
Index: /extensions/netinstall/trunk/language/en_UK/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/es_ES/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/fr_FR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/gl_ES/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/it_IT/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/lv_LV/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/nb_NO/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/nl_NL/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/pl_PL/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/pt_BR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - uma galeria de fotos baseado em PHP                          |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/pt_PT/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/pt_PT/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/pt_PT/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/ru_RU/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/sk_SK/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/tr_TR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/uk_UA/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/language/zh_CN/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 21417)
+++ /extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 21418)
@@ -2,5 +2,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21417)
+++ /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 21418)
@@ -22,4 +22,5 @@
   'da_DK' => 'Dansk [DK]',
   'de_DE' => 'Deutch [DE]',
+  'el_GR' => 'Ελληνικά [GR]',
   'en_UK' => 'English [UK]',
   'es_ES' => 'Español [ES]',