Index: /trunk/language/gl_ES/help/configuration.html
===================================================================
--- /trunk/language/gl_ES/help/configuration.html	(revision 21420)
+++ /trunk/language/gl_ES/help/configuration.html	(revision 21420)
@@ -0,0 +1,100 @@
+<h2>Configuración</h2>
+
+<p>Esta pantalla permite ó administrador realizar unha configuración básica da galería. De feito, só se amosan as opcións básicas da configuración as cales deben ser suficientes para a gran maioría dos administradores. Se queres ver os outros numerosos (e avanzados) parámetros de configuración,   lee o ficheiro  de configuración predeterminado <span class="filename">include/config_default.inc.php</span>.</p>
+
+<p>Este pantalla está dividida en diferentes seccións, agrupando os parámetros de configuración por tema.</p>
+
+
+<h3>Principal</h3>
+<ul>
+  <li><strong>Título da galería</strong>: usado no alimentador RSS e por notificacións de correo electrónico.</li>
+
+  <li><strong>Page banner</strong>: displayed on top of each public page.</li>
+
+  <li><strong>Gallery URL</strong>: used for the RSS feed.</li>
+
+  <li><strong>Lock gallery</strong>: Lock the entire gallery for maintenance. Only administrator users will be able to reach the gallery.</li>
+
+  <li><strong>Rating</strong>: Photo rating feature is enabled.</li>
+
+  <li><strong>Rating by guests</strong>: Even unregistered users can rate images.</li>
+
+  <li><strong>Allow user registration</strong>: Anybody can register.</li>
+
+  <li><strong>Mail address is mandatory for all users</strong>: mail address will be checked on registration or profile update, except if the action is done by an administrator.</li>
+
+  <li><strong>Email admins when a new user registers</strong>: administrators will be notified by mail for each registration.</li>
+  
+  <li><strong>Default photos order</strong>: you can define a personalized order with these drop-down menus.</li>
+
+</ul>
+
+<h3>History</h3>
+
+  <p>Visits on pages <span
+  class="pwgScreen">category.php</span> and <span
+  class="pwgScreen">picture.php</span> will be saved in the <code>history</code> table.</p>
+  
+  <p>Visits will be shown in <span  class="pwgScreen">Administration &raquo; Tools &raquo; History</span>.</p>
+
+<ul>
+  <li><strong>Save page visits by guests</strong>: page visits by guests will be recorded.</li>
+
+  <li><strong>Save page visits by users</strong>: visits by registrered users will be recorded.</li>
+
+  <li><strong>Save page visits by administrators</strong>: page visits by administrators will be recorded.</li>
+
+</ul>
+
+<h3>Comments</h3>
+<ul>
+
+  <li><strong>Comments for all</strong>: Even unregistered guest can post comments.</li>
+
+  <li><strong>Number of comments per page</strong>.</li>
+
+  <li><strong>Validation</strong>: an administrator must validate users comments before they become visible on the site. User comments validation
+  takes place in screen <span class="pwgScreen">Administration &raquo; Tools &raquo; Pending Comments</span>.</li>
+
+  <li><strong>Email admins when a valid comment is entered</strong>: Sends an email to the administrators when a user enters a comment and this comment is validated.</li>
+
+  <li><strong>Email admins when a comment requires validation</strong>:
+Sends an email to the administrators when a user enters a comment that requires validation by the admin.
+User comments validation takes place in the screen <span class="pwgScreen">Administration &raquo; Tools &raquo; Pending Comments</span>.</li>
+
+</ul>
+
+<h3>Default display</h3>
+
+<p>Here you can change display options used by guest, the default user that is not connected. Once connected, these options are overridden by the user's own options
+(modifiable in <span class="pwgScreen">profile</span>).</p>
+
+<p>It is possible to change the display options for all existing users on the <span class="pwgScreen">Administration &raquo;
+Users &raquo; Manage</span> screen where you can select a list of users.</p>
+
+<ul>
+
+  <li><strong>Language</strong>: Apply to Piwigo labels only. Album names, photo names and all descriptions fields are not localized.</li>
+
+  <li><strong>Number of photos per row</strong></li>
+
+  <li><strong>Number of rows per page</strong></li>
+
+  <li><strong>Interface theme</strong></li>
+
+  <li><strong>Recent period</strong>: By days. Period during which a photo is shown as new. Must be greater than 1 day.</li>
+
+  <li><strong>Expand all albums</strong>: Expand all albums by
+  default in the menu <em>Warning</em>: this option is resources intensive and may generate a huge menu if your album tree contains many albums.</li>
+
+  <li><strong>Show number of comments</strong>: Show the number of comments for each photo on the thumbnails page. Resource intensive.</li>
+
+  <li><strong>Show hits count</strong>: Display hits observed on photo just under its thumbnail on the thumbnails page. Only when advanced configuration parameter is: <br>
+  $conf['show_nb_hits'] = true; <br>
+  Notice: false by default.</li>
+
+  <li><strong>Maximum width of the photos</strong>: maximum displayed width.  Photos larger than this setting will be resized on display.  Rather than choosing this option, you might consider modifying the width of your photos; that would be a better practice.</li>
+
+  <li><strong>Maximum height of the photos</strong>: Same as for the maximum width setting.</li>
+
+</ul>