Index: /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 21438)
+++ /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 21439)
@@ -184,7 +184,8 @@
       if (pwg_db_num_rows($result))
       {
+        list($stc_id) = pwg_db_fetch_row($result);
         $template->assign(array(
-          'SUBSCRIBED_ALL_IMAGES' => true,
-          'MANAGE_LINK' => make_stc_url('manage', $user['email']),
+          'SUBSCRIBED' => 'all-images',
+          'UNSUB_LINK' => add_url_params($picture['current']['url'], array('stc_unsubscribe'=>$stc_id)),
           ));
         $subscribed = true;
@@ -210,5 +211,5 @@
         list($stc_id) = pwg_db_fetch_row($result);
         $template->assign(array(
-          'SUBSCRIBED_ALBUM_IMAGES' => true,
+          'SUBSCRIBED' => 'album-images',
           'UNSUB_LINK' => add_url_params($picture['current']['url'], array('stc_unsubscribe'=>$stc_id)),
           ));
@@ -235,5 +236,5 @@
         list($stc_id) = pwg_db_fetch_row($result);
         $template->assign(array(
-          'SUBSCRIBED_IMAGE' => true,
+          'SUBSCRIBED' => 'image',
           'UNSUB_LINK' => add_url_params($picture['current']['url'], array('stc_unsubscribe'=>$stc_id)),
           ));
@@ -298,4 +299,9 @@
   if ( !is_a_guest() and !empty($user['email']) )
   {
+    $element_url = make_index_url(array(
+      'section' => 'categories',
+      'category' => $page['category'],
+      ));
+          
     $subscribed = false;
     
@@ -315,7 +321,8 @@
       if (pwg_db_num_rows($result))
       {
+        list($stc_id) = pwg_db_fetch_row($result);
         $template->assign(array(
-          'SUBSCRIBED_ALL_ALBUMS' => true,
-          'MANAGE_LINK' => make_stc_url('manage', $user['email']),
+          'SUBSCRIBED' => 'all-albums',
+          'UNSUB_LINK' => add_url_params($element_url, array('stc_unsubscribe'=>$stc_id)),
           ));
         $subscribed = true;
@@ -340,11 +347,6 @@
       {
         list($stc_id) = pwg_db_fetch_row($result);
-        $element_url = make_index_url(array(
-          'section' => 'categories',
-          'category' => $page['category'],
-          ));
-        
         $template->assign(array(
-          'SUBSCRIBED_ALBUM' => true,
+          'SUBSCRIBED' => 'album',
           'UNSUB_LINK' => add_url_params($element_url, array('stc_unsubscribe'=>$stc_id)),
           ));
Index: /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php	(revision 21438)
+++ /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php	(revision 21439)
@@ -34,5 +34,5 @@
   
   // bulk action
-  else if (isset($_POST['apply_bulk']))
+  else if (isset($_POST['apply_bulk']) and !empty($_POST['selected']))
   {
     foreach ($_POST['selected'] as $id)
Index: /extensions/Subscribe_to_comments/template/form_comment.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_comment.tpl	(revision 21438)
+++ /extensions/Subscribe_to_comments/template/form_comment.tpl	(revision 21439)
@@ -1,3 +1,3 @@
-{if !$SUBSCRIBED_ALL_IMAGES && !$SUBSCRIBED_ALL_ALBUMS && !$SUBSCRIBED_ALBUM && !$SUBSCRIBED_ALBUM_IMAGES && !$SUBSCRIBED_IMAGE}
+{if !$SUBSCRIBED}
 
 <p>
Index: /extensions/Subscribe_to_comments/template/form_standalone.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/form_standalone.tpl	(revision 21438)
+++ /extensions/Subscribe_to_comments/template/form_standalone.tpl	(revision 21439)
@@ -14,24 +14,19 @@
 <form method="post" action="{$comment_add.F_ACTION}" id="stc_standalone">
   <fieldset>{strip}
-  {if $SUBSCRIBED_ALL_IMAGES}
-    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all pictures of the gallery'|@translate}
-    <a href="{$MANAGE_LINK}">{'Manage my subscriptions'|@translate}</a> 
+  {if $SUBSCRIBED}
+    {if $SUBSCRIBED=='all-images'}
+      {assign var=str value='all pictures of the gallery'|@translate}
+    {elseif $SUBSCRIBED=='album-images'}
+      {assign var=str value='all pictures of this album'|@translate}
+    {elseif $SUBSCRIBED=='image'}
+      {assign var=str value='this picture'|@translate}
+    {elseif $SUBSCRIBED=='all-albums'}
+      {assign var=str value='all albums of the gallery'|@translate}
+    {elseif $SUBSCRIBED=='album'}
+      {assign var=str value='this album'|@translate}
+    {/if}
     
-  {elseif $SUBSCRIBED_ALBUM_IMAGES}
-    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all pictures of this album'|@translate}
+    {'You are currently subscribed to comments on %s.'|@translate|sprintf:$str}
     <a href="{$UNSUB_LINK}">{'Unsubscribe'|@translate}</a>
-    
-  {elseif $SUBSCRIBED_IMAGE}
-    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'this picture'|@translate}
-    <a href="{$UNSUB_LINK}">{'Unsubscribe'|@translate}</a>
-    
-  {elseif $SUBSCRIBED_ALL_ALBUMS}
-    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all albums of the gallery'|@translate}
-    <a href="{$MANAGE_LINK}">{'Manage my subscriptions'|@translate}</a>
-    
-  {elseif $SUBSCRIBED_ALBUM}
-    {'You are currently subscribed to comments on %s.'|@translate|sprintf:'this album'|@translate}
-    <a href="{$UNSUB_LINK}">{'Unsubscribe'|@translate}</a>
-    
   {else}
     <legend>{'Subscribe to mail notifications'|@translate}</legend>
Index: /extensions/Subscribe_to_comments/template/subscribtions_page.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/subscribtions_page.tpl	(revision 21438)
+++ /extensions/Subscribe_to_comments/template/subscribtions_page.tpl	(revision 21439)
@@ -31,8 +31,11 @@
         <td>
           {if $sub.type == 'all-images'}
-            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png"> {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all pictures of the gallery'|@translate}
+            {assign var=str value='all pictures of the gallery'|@translate}
+            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/image.png"> 
           {else $sub.type == 'all-albums'}
-            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album.png"> {'You are currently subscribed to comments on %s.'|@translate|sprintf:'all albums of the gallery'|@translate}
+            {assign var=str value='all albums of the gallery'|@translate}
+            <img src="{$ROOT_URL}{$SUBSCRIBE_TO_PATH}template/album.png">
           {/if}
+          {'You are currently subscribed to comments on %s.'|@translate|sprintf:$str}
         </td>
         <td style="white-space:nowrap;">