Index: /extensions/FacebookPlug/Plugin/language/pt_BR/about.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/pt_BR/about.lang.php	(revision 21476)
+++ /extensions/FacebookPlug/Plugin/language/pt_BR/about.lang.php	(revision 21476)
@@ -0,0 +1,26 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Piwigo application'] = 'Piwigo';
+$lang['Piwigo group'] = 'Grupo Piwigo';
+$lang['Visit Piwigo on Facebook website:'] = 'Visite o sítio do Piwigo no Facebook';
+?>
Index: /extensions/FacebookPlug/Plugin/language/pt_BR/admin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/pt_BR/admin.lang.php	(revision 21476)
+++ /extensions/FacebookPlug/Plugin/language/pt_BR/admin.lang.php	(revision 21476)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang[' (?)'] = '(?)';
+$lang['Activity'] = 'Atividade';
+$lang['Add Facebook Piwigo application on footer'] = 'Adicionar Piwigo Facebook no rodapé';
+$lang['Add Facebook Piwigo group on footer'] = 'Adicionar grupo Piwigo Facebook no rodapé';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Adicionar um ícone em cada álbum para compartilhar no Facebook';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Adicionar um ícone em cada foto para compartilhar no Facebook';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Adicionar um ícone em cada foto para enviar imagem para o Facebook';
+$lang['Add a link on each page footer'] = 'Adicionar um atalho no rodapé de cada página';
+$lang['Add a paragraph with Facebook link on about page'] = 'Adicionar um parágrafo com um atalho para o Facebook na página Sobre';
+$lang['Add informations on about page'] = 'Adicionar informações na página Sobre';
+$lang['Advanced'] = 'Avançado';
+$lang['Allow Facebook to see private page'] = 'Permitir que o Facebook veja as páginas privadas';
+$lang['Always initialize Facebook'] = 'Sempre inicializar o Facebook';
+$lang['Asynchronous Facebook access'] = 'Acesso assíncrono ao Facebook';
+$lang['Buttons'] = 'Botões';
+$lang['Color scheme'] = 'Esquema de cores';
+$lang['Comments'] = 'Comentários';
+$lang['Continue'] = 'Continuar';
+$lang['Data updated with error'] = 'Erro no envio de dados';
+?>
Index: /extensions/FacebookPlug/Plugin/language/pt_BR/common.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/pt_BR/common.lang.php	(revision 21476)
+++ /extensions/FacebookPlug/Plugin/language/pt_BR/common.lang.php	(revision 21476)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Join Facebook Piwigo group'] = 'Participar do grupo Piwigo no Facebook';
+$lang['Share on Facebook'] = 'Compartilhar no Facebook';
+$lang['Upload photo on Facebook'] = 'Enviar foto para o Facebook';
+$lang['Via Facebook Piwigo application'] = 'Via Facebook Piwigo';
+?>