Index: /extensions/Media_Icon/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/ru_RU/plugin.lang.php	(revision 21485)
+++ /extensions/Media_Icon/language/ru_RU/plugin.lang.php	(revision 21485)
@@ -0,0 +1,59 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['This menu allows to configure 2 types of parameters:'] = 'Можно настроить 2 типа параметров используя это меню:';
+$lang['Top left corner'] = 'Верхний левый угол';
+$lang['Top right corner'] = 'Верхний правый угол';
+$lang['Video'] = 'Видео';
+$lang['Videos'] = 'Видео';
+$lang['Youtube'] = 'Youtube';
+$lang['Youtube videos'] = 'видео Youtube';
+$lang['pdf'] = 'pdf';
+$lang['pdf files'] = 'файлы pdf';
+$lang['Advanced options'] = 'Расширенные настройки';
+$lang['Author website'] = 'Сайт автора';
+$lang['Bottom left corner'] = 'Нижний левый угол';
+$lang['Bottom right corner'] = 'Нижний правый угол';
+$lang['Click on submit to see changes.'] = 'Кликните на отправить чтобы увидеть изменения';
+$lang['Document'] = 'Документ';
+$lang['Documents'] = 'Документы';
+$lang['Donate'] = 'Пожертвовать';
+$lang['Download website'] = 'Скачать сайт';
+$lang['Files supported: doc, docx and odt'] = 'Поддерживаемые типы файлов: doc, docx and odt';
+$lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Поддерживаемые типы файлов: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: pdf'] = 'Поддерживаемые типы файлов: pdf';
+$lang['Files supported: ppt, pptx and odp files'] = 'Поддерживаемые типы файлов: ppt, pptx and odp';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Поддерживаемые типы файлов: webm, webmv, ogv, m4v, flv, mp4';
+$lang['Files supported: xls, xlsx and ods'] = 'Поддерживаемые типы файлов: xls, xlsx and ods';
+$lang['Folder'] = 'Папка';
+$lang['Folder color'] = 'Цвет папки';
+$lang['Folder picture'] = 'Изображение папки';
+$lang['Music'] = 'Музыка';
+$lang['Page'] = 'Страница';
+$lang['Position'] = 'Положение';
+$lang['Presentation'] = 'Презентация';
+$lang['Presentations'] = 'Презентации';
+$lang['Result'] = 'Результат';
+$lang['Spreadsheet'] = 'Таблица';
+$lang['Spreadsheets'] = 'Таблицы';
+$lang['Style'] = 'Стиль';
+?>