Index: /extensions/UserAdvManager/branches/2.50/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 21519)
+++ /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 21520)
@@ -376,4 +376,7 @@
             Update tr_TR, thanks to : hakanselcuk
 
+**************************************************************
+***** Plugin history (branch 2.50 - Piwigo 2.5 compliant)*****
+**************************************************************
 -- 2.50.0 : Compliance with Piwigo 2.5
             Bug 2764 fixed - Code refactory : Change config variables to assoc array and $_POST vars control before writing conf in database - Thx to flop25 for his advices ;-)
@@ -391,4 +394,8 @@
             Update de_DE, thanks to : stephy
             Update it_IT, thanks to : Ericnet
+
+-- 2.50.2 : Bug 2866 fixed - Fatal error message (Fatal error: Call to undefined function switch_lang_to()) when using validation link
+            Update tr_TR, thanks to : LazBoy
+            Update it_IT, thanks to : Ericnet
             
 */
Index: /extensions/UserAdvManager/branches/2.50/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 21519)
+++ /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 21520)
@@ -987,4 +987,7 @@
 function UAM_ConfirmMail()
 {
+  global $conf;
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+
   if (isset($_GET['key']) and isset($_GET['userid']))
   {
Index: /extensions/UserAdvManager/branches/2.50/language/it_IT/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/it_IT/help.lang.php	(revision 21519)
+++ /extensions/UserAdvManager/branches/2.50/language/it_IT/help.lang.php	(revision 21520)
@@ -1,9 +1,9 @@
 <?php
 
-$lang['UAM_confirmTitle_d'] = '- Generazzione di un\'email d\'informazione<br>
-- Generazzione di un\'email di conferma d\'iscrizzione<br>
-- Inserimento in automatico dei gruppi o dei statuti<br>
-- Limitazzione del termine di convalida dell\'iscrizzione<br>
-- Generazzione di un\'email di rilancio per gli utenti non convalidati<br>
+$lang['UAM_confirmTitle_d'] = '- Generazione di un\'email d\'informazione<br>
+- Generazione di un\'email di conferma iscrizione<br>
+- Gruppi, stato o livello di privacy auto adesione<br>
+- Limitazione del termine di convalida dell\'iscrizione<br>
+- Generazione email di promemoria<br>
 ...
 ';
@@ -114,5 +114,5 @@
 <br><br>
 Per utilizzare più lingue, è possibile utilizzare i tag del plugin Extended description, se è attivo.';
-$lang['UAM_ConfirmMail_Subject_d'] = 'Inserisci qui il tuo personalizzato oggetto promemoria e-mail conferma della registrazione.<br>
+$lang['UAM_ConfirmMail_Subject_d'] = 'Inserisci qui il tuo oggetto personalizzato per l\'email di promemoria conferma della registrazione.<br>
 Per impostazione predefinita, il campo ha un testo generico in inglese, ma si può cambiare e utilizzare i tag di traduzione [lang=?] del plugin Extended Description se ​​installato.
 <br><br>
@@ -120,5 +120,5 @@
 - <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione dell\'email.<br>
 - <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>';
-$lang['UAM_ConfirmMail_ReMail_Subject_d'] = 'Inserisci qui il tuo personalizzato oggetto promemoria e-mail conferma della registrazione(con o senza nuova generazione di chiavi).<br>
+$lang['UAM_ConfirmMail_ReMail_Subject_d'] = 'Inserisci qui il tuo oggetto personalizzato per l\'email di promemoria conferma della registrazione (con o senza nuova generazione di chiavi).<br>
 Per impostazione predefinita, il campo ha un testo generico in inglese, ma si può cambiare e utilizzare i tag di traduzione [lang=?] del plugin Extended Description se ​​installato.
 <br><br>
@@ -279,3 +279,40 @@
 <br><br>
 <b>Tabella Ordinamento delle funzioni</b>: E\' possibile ordinare i dati visualizzati facendo clicando sulle intestazioni delle colonne. Tenere premuto il tasto SHIFT per ordinare fino a 4 colonne contemporaneamente.';
+$lang['UAM_ghosttrackerTitle_d'] = 'Chiamato anche &quot;Ghost Tracker &quot; quando questa funzione è attivata è possibile gestire i vostri ospiti a seconda della frequenza delle loro visite. Sono 2 le modalità di funzionamento disponibili:<br><br>
+- Gestione manuale: Quando il tempo tra 2 visite è raggiunto, il visitatore viene visualizzato nella tabella &quot;Ghost Tracker&quot; nella quale si sarà in grado di mandare un promemoria ai visitatori via email o alla loro cancellazione.<br><br>
+- Gestione automatizzata: Quando viene raggiunto il periodo tra 2 visite successive, il visitatore viene automaticamente cancellato o spostato in un gruppo di attesa e/o stato. In questo secondo caso, un\'email di informazione può essere inviata a lui.<br><br>
+<b style=&quot;color: red;&quot;>Nota importante: Se si attiva questa funzione per la prima volta o si riattiva dopo un lungo periodo durante il quale si sono registrati nuovi visitatori, sarà necessario inizializzare o reimpostare il Ghost Tracker (vedere le istruzioni corrispondenti sulla scheda &quot;Ghost Tracker&quot).</b>';
+$lang['UAM_GTAutomail_Subject_d'] = 'Inserire qui il vostro oggetto per l\'email Ghost Tracker automatica di retrocessione.
+<br>
+Per impostazione predefinita, il campo ha un testo generico in inglese, ma si può cambiare e utilizzare i tag di traduzione [lang=?] del plugin Extended Description se ​​installato.
+<br><br>
+I seguenti tag aggiuntivi personalizzazioni sono disponibili senza utilizzare il plugin Extended Description:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione dell\'email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>';
+$lang['UAM_GTReminder_Subject_d'] = 'Inserire qui il vostro oggetto per l\'email Ghost Tracker automatica di retrocessione.
+<br>
+Per impostazione predefinita, il campo ha un testo generico in inglese, ma si può cambiare e utilizzare i tag di traduzione [lang=?] del plugin Extended Description se ​​installato.
+<br><br>
+I seguenti tag aggiuntivi personalizzazioni sono disponibili senza utilizzare il plugin Extended Description:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione dell\'email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>';
+$lang['UAM_usermanTitle_d'] = 'Quando limitare la scadenza per la registrazione è abilitata, troverete qui di seguito l\'elenco di utenti la cui conferma dell\'iscrizione è prevista, <b style=&quot;text-decoration: underline;&quot;>se o non</b> sono in tempo per confermare.<br><br>
+La data di registrazione viene visualizzata in verde quando l\'utente interessato è dentro il limite di tempo per confermare la sua registrazione. In questo caso, il pulsante di conferma è ancora valido e possiamo inviare un email con o senza una nuova chiave di conferma.<br><br>
+Quando la data di registrazione viene visualizzata in rosso è scaduto il periodo di conferma. In questo caso è necessario inviare una email con rigenerazione della chiave di conferma se si desidera consentire all\'utente di confermare la sua registrazione.<br><br>
+In tutti i casi, è possibile forzare manualmente la conferma.<br><br>
+In questa vista, è possibile:
+<br><br>
+Generare una email di promemoria <b>senza</b> la generazione di una nuova chiave. Attenzione: Inviare un promemoria tramite email ai visitatori designati. Questa funzione non reimposta la data di registrazione dei visitatori designati e il timeout è ancora valido.
+<br>
+Generare una email di promemoria <b>con</b> la generazione di una nuova chiave. Attenzione: Inviare un promemoria tramite email ai visitatori designati. Questa funzione resetta anche la data di registrazione dei visitatori designati che equivale a prorogare il termine per la conferma.
+<br>
+-Presentare una registrazione in attesa di conferma manuale anche se la data di scadenza è passata <b>(conferma forzata)</b>.
+<br><br>
+<b>Ordinamento Tabella delle funzioni</b>: E\' possibile ordinare i dati visualizzati facendo clic sulle intestazioni delle colonne. Tenere premuto il tasto SHIFT per ordinare fino a 4 colonne contemporaneamente.';
+$lang['UAM_MailInfo_Subject_d'] = 'Inserisci qui il tuo oggetto personalizzato per l\'email di informazione.<br>
+Per impostazione predefinita, il campo ha un testo generico in inglese, ma si può cambiare e utilizzare i tag di traduzione [lang =?] Del plugin Extended Description se ​​installato.
+<br><br>
+I seguenti tag aggiuntivi personalizzati sono disponibili senza utilizzare il plugin Extended Description:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> per inserire automaticamente il nome dell\'utente di destinazione del messaggio email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> per inserire il titolo della tua galleria.<br>';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php	(revision 21519)
+++ /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php	(revision 21520)
@@ -147,3 +147,15 @@
 $lang['UAM_Generic cannot be pwdreset'] = 'Jenerik hesaplar için şifre yenileme ayarlanamaz!';
 $lang['UAM_GhostTracker'] = 'Hayalet ziyaretçilerin yönetimi (Hayalet Takipçisi)';
+$lang['UAM_ConfirmMail_TimeOut_true'] = 'Etkin. Kullanım süresinin dolmasına bu kadar gün kaldı:';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Doğrulama anahtarının yenilenmesi <b><u>olmadan</u></b> hatırlatma mesajı özelleştirme.';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Doğrulama anahtarının yenilenmesi <b><u>ile</u></b> hatırlatma mesajı özelleştirme.';
+$lang['UAM_ConfirmMail_ReMail_Subject'] = 'Kayıt doğrulama hatırlatma e-posta konusunu özelleştir';
+$lang['UAM_Bad_version_backup'] = 'Yedek dosyasınınki ile eklenti versiyonu uyuşmuyor! Onarım yapılmadı.';
+$lang['UAM_AdminValidationMail_Text'] = 'Elle doğrulama işlemi bilgilendirme mesajı';
+$lang['UAM_No_Userlist'] = 'Şu an için listelenecek ziyaretçi bulunmuyor';
+$lang['UAM_GhostTracker_Title'] = 'Hayalet ziyaretçilerin yönetimi';
+$lang['UAM_Change'] = 'Doğrulanan kullanıcıların Grup/Durum/Gizlilik seviyelerini değiştirir';
+$lang['UAM_Confirm_Group'] = 'Gruplar<br>(grubu etkilememesi için ------- olarak bırakın)';
+$lang['UAM_Confirm_Status'] = 'Durumlar<br>(Piwigo varsayılanı için ------- olarak bırakın)';
+$lang['UAM_Confirm_Level'] = 'Gizlilik seviyesi<br>(Piwigo varsayılanı için ------- olarak bırakın)';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/maintain.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/maintain.inc.php	(revision 21519)
+++ /extensions/UserAdvManager/branches/2.50/maintain.inc.php	(revision 21520)
@@ -172,27 +172,27 @@
   // Create USER_CONFIRM_MAIL_TABLE
   // ------------------------------
-	$q = "
-CREATE TABLE IF NOT EXISTS ".USER_CONFIRM_MAIL_TABLE." (
-  id varchar(50) NOT NULL default '',
-  user_id smallint(5) NOT NULL default '0',
+	$q = '
+CREATE TABLE IF NOT EXISTS '.USER_CONFIRM_MAIL_TABLE.' (
+  id varchar(50) NOT NULL default "",
+  user_id smallint(5) NOT NULL default "0",
   mail_address varchar(255) default NULL,
-  status enum('webmaster','admin','normal','generic','guest') default NULL,
+  status enum("webmaster","admin","normal","generic","guest") default NULL,
   date_check datetime default NULL,
-  reminder ENUM('true','false') NULL,
+  reminder ENUM("true","false") NULL,
 PRIMARY KEY  (id)
   )
-ENGINE=MyISAM;";
+ENGINE=MyISAM;';
   pwg_query($q);
 
   // Create USER_LASTVISIT_TABLE
   // ---------------------------
-	$q = "
-CREATE TABLE IF NOT EXISTS ".USER_LASTVISIT_TABLE." (
-  user_id SMALLINT(5) NOT NULL DEFAULT '0',
+	$q = '
+CREATE TABLE IF NOT EXISTS '.USER_LASTVISIT_TABLE.' (
+  user_id SMALLINT(5) NOT NULL DEFAULT "0",
   lastvisit DATETIME NULL DEFAULT NULL,
-  reminder ENUM('true','false') NULL,
+  reminder ENUM("true","false") NULL,
 PRIMARY KEY (`user_id`)
   )
-ENGINE=MyISAM;";
+ENGINE=MyISAM;';
   pwg_query($q);
 