Index: /extensions/BatchDownloader/admin/sets.php
===================================================================
--- /extensions/BatchDownloader/admin/sets.php	(revision 21606)
+++ /extensions/BatchDownloader/admin/sets.php	(revision 21607)
@@ -122,22 +122,14 @@
   );
 
-$template->assign('status_options', $page['status_items']);
-$template->assign('status_selected',
-    isset($_POST['status']) ? $_POST['status'] : '');
+$template->assign(array(
+  'status_options' => $page['status_items'],
+  'status_selected' => isset($_POST['status']) ? $_POST['status'] : '',
+  'type_options' => $page['type_items'],
+  'type_selected' => isset($_POST['type']) ? $_POST['type'] : '',
+  'order_options' => $page['order_by_items'],
+  'order_selected' => isset($_POST['order_by']) ? $_POST['order_by'] : '',
+  'direction_options' => $page['direction_items'],
+  'direction_selected' => isset($_POST['direction']) ? $_POST['direction'] : '',
 
-$template->assign('type_options', $page['type_items']);
-$template->assign('type_selected',
-    isset($_POST['type']) ? $_POST['type'] : '');
-
-$template->assign('order_options', $page['order_by_items']);
-$template->assign('order_selected',
-    isset($_POST['order_by']) ? $_POST['order_by'] : '');
-
-$template->assign('direction_options', $page['direction_items']);
-$template->assign('direction_selected',
-    isset($_POST['direction']) ? $_POST['direction'] : '');
-
-
-$template->assign(array(
   'F_USERNAME' => @htmlentities($_POST['username'], ENT_COMPAT, 'UTF-8'),
   'F_FILTER_ACTION' => BATCH_DOWNLOAD_ADMIN . '-sets',
Index: /extensions/BatchDownloader/admin/template/sets.tpl
===================================================================
--- /extensions/BatchDownloader/admin/template/sets.tpl	(revision 21606)
+++ /extensions/BatchDownloader/admin/template/sets.tpl	(revision 21607)
@@ -8,31 +8,33 @@
 <fieldset>
   <legend>{'Filter'|@translate}</legend>
-  <input type="hidden" name="page" value="user_list">
-
-  <label>{'Username'|@translate} <input type="text" name="username" value="{$F_USERNAME}"></label>
 
   <label>
-  {'Set type'|@translate}
-  {html_options name=type options=$type_options selected=$type_selected}
+    {'Username'|@translate}
+    <input type="text" name="username" value="{$F_USERNAME}">
+  </label>
+
+  <label>
+    {'Set type'|@translate}
+    {html_options name=type options=$type_options selected=$type_selected}
   </label>
   
   <label>
-  {'Status'|@translate}
-  {html_options name=status options=$status_options selected=$status_selected}
+    {'Status'|@translate}
+    {html_options name=status options=$status_options selected=$status_selected}
   </label>
 
   <label>
-  {'Sort by'|@translate}
-  {html_options name=order_by options=$order_options selected=$order_selected}
+    {'Sort by'|@translate}
+    {html_options name=order_by options=$order_options selected=$order_selected}
   </label>
 
   <label>
-  {'Sort order'|@translate}
-  {html_options name=direction options=$direction_options selected=$direction_selected}
+    {'Sort order'|@translate}
+    {html_options name=direction options=$direction_options selected=$direction_selected}
   </label>
 
   <label>
-  &nbsp;
-  <span><input class="submit" type="submit" name="filter" value="{'Submit'|@translate}"> <a href="{$F_FILTER_ACTION}">{'Reset'|@translate}</a></span>
+    &nbsp;
+    <span><input class="submit" type="submit" name="filter" value="{'Submit'|@translate}"> <a href="{$F_FILTER_ACTION}">{'Reset'|@translate}</a></span>
   </label>
 
Index: /extensions/BatchDownloader/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/BatchDownloader/language/en_UK/plugin.lang.php	(revision 21606)
+++ /extensions/BatchDownloader/language/en_UK/plugin.lang.php	(revision 21607)
@@ -48,4 +48,5 @@
 $lang['Warning: Only registered users can use Batch Downloader.'] = 'Warning: Only registered users can use Batch Downloader.';
 $lang['What can be downloaded?'] = 'What can be downloaded?';
+$lang['No result'] = 'No result';
 
 ?>
Index: /extensions/BatchDownloader/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/BatchDownloader/language/fr_FR/plugin.lang.php	(revision 21606)
+++ /extensions/BatchDownloader/language/fr_FR/plugin.lang.php	(revision 21607)
@@ -48,4 +48,5 @@
 $lang['Warning: Only registered users can use Batch Downloader.'] = 'Attention: seuls les utilisateurs enregistrés peuvent utiliser Batch Downloader.';
 $lang['What can be downloaded?'] = 'Qu\'est-ce qui peut être téléchargé ?';
+$lang['No result'] = 'Aucun résultat';
 
 ?>